Subject: [bug#75081] [PATCH] gnu: emacs-next: Update to 30.0.93.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 31 Jan 2025 11:50:50 +0100

Am Freitag, dem 31.01.2025 um 11:50 +0200 schrieb Arto Jantunen:
> 
> Thanks for the very timely review.
> 
> Liliana Marie Prikler <[email-masked]> writes:
> > Am Freitag, dem 31.01.2025 um 09:20 +0200 schrieb Arto Jantunen:
> > > Update to the latest pretest.
> > > ---
> > There should be a ChangeLog.
> 
> I looked at previously applied patches to find a hint about what this
> might look like, but couldn't find anything. Would you have a
> documentation reference or an example I could follow?
This example is so common that we have snippets for them :)
However, said snippet assumes you're only doing an update, which in
this v1 at least, you don't.

> > >  gnu/packages/emacs.scm | 44 ++++++++++++++++++++----------------
> > > ----
> > > --
> > >  1 file changed, 21 insertions(+), 23 deletions(-)
> > > 
> > > diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
> > > index c5e671c6a98f..78a4981e4103 100644
> > > --- a/gnu/packages/emacs.scm
> > > +++ b/gnu/packages/emacs.scm
> > > @@ -573,29 +573,27 @@ (define-public emacs-wide-int
> > >          #~(cons "--with-wide-int" #$flags))))))
> > >  
> > >  (define-public emacs-next-minimal
> > > -  (let ((commit "881d593a9879f3355733f1b627af7cc0c12b429e")
> > > -        (revision "0"))
> > > -   (package
> > > -    (inherit emacs-minimal)
> > > -    (name "emacs-next-minimal")
> > > -    (version (git-version "30.0.92" revision commit))
> > > -    (source
> > > -     (origin
> > > -       (method git-fetch)
> > > -       (uri (git-reference
> > > -             (url "https://git.savannah.gnu.org/git/emacs.git")
> > > -             (commit commit)))
> > > -       (file-name (git-file-name name version))
> > > -       (sha256
> > > -        (base32
> > > "0nj3a7wsl5piqf6a8wnmfyjbpxp2dwl0r48flv9q624jx4nxfr2p"))
> > > -       (patches
> > > -        (search-patches "emacs-disable-jit-compilation.patch"
> > > -                        "emacs-next-exec-path.patch"
> > > -                        "emacs-fix-scheme-indent-function.patch"
> > > -                        "emacs-next-native-comp-driver-
> > > options.patch"
> > > -                        "emacs-next-native-comp-fix-
> > > filenames.patch"
> > > -                        "emacs-native-comp-pin-packages.patch"
> > > -                        "emacs-pgtk-super-key-fix.patch")))))))
> > > +  (package
> > > +   (inherit emacs-minimal)
> > > +   (name "emacs-next-minimal")
> > > +   (version "30.0.93")
> > Do keep git-version for emacs-next, because we "regularly" update
> > it
> > using non-tagged releases.  Keep using "0" for the revision.
> 
> I was thinking the versioning would revert back to git-version after
> Emacs 30 is released and emacs-next returns to git snapshots. Using
> it for tagged releases doesn't look quite right to my (untrained)
> eye.
Fair enough, but the point is to reduce the noise when that happens in
either direction.  Note that the current source should point at 30.0.92
exactly.

Cheers